Bug 174413 - [MAINTAINER] devel/py-flake8: update to 1.6.2
Summary: [MAINTAINER] devel/py-flake8: update to 1.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-13 12:40 UTC by William Grzybowski
Modified: 2012-12-16 18:12 UTC (History)
0 users

See Also:


Attachments
py-flake8.patch (740 bytes, patch)
2012-12-13 12:40 UTC, William Grzybowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Grzybowski 2012-12-13 12:40:00 UTC

1.6.2 - 2012-11-25

    fixed the NameError: global name 'message' is not defined (#46)

1.6.1 - 2012-11-24

    fixed the mercurial hook, a change from a previous patch was not properly applied
    fixed an assumption about warnings/error messages that caused an exception to be thrown when McCabe is used

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2012-12-13 12:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2012-12-16 18:05:42 UTC
Responsible Changed
From-To: freebsd-python->rm

I will take it.
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-12-16 18:12:13 UTC
State Changed
From-To: open->closed

Committed, thank you!